System.Core 4.0.0.0 System.Linq.Expressions.Expression System.Linq.Expressions.IArgumentProvider System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/IndexExpressionProxy)) To be added.

Represents indexing a property or array.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.Expression> To be added. To be added.

  Gets the arguments that will be used to index the property or array.

- Property
  4.0.0.0
  System.Reflection.PropertyInfo To be added. To be added.

  Gets the for the property if the expression represents an indexed property, returns null otherwise.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this .

- Property
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  An object to index.

- Property
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.IndexExpression `` `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result. The property of the result.